---
title: Retrieve Multiple Datasource Entries
description: Returns a paginated array of datasource entry objects
url: https://storyblok.com/docs/api/management/datasource-entries/retrieve-multiple-datasource-entries
---

# Retrieve Multiple Datasource Entries

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/datasource_entries
```

Returns a [paginated](/docs/api/management/getting-started/pagination) array of datasource entry objects.

You can filter the response by `datasource_id` or `datasource_slug`.

> [!WARNING]
> If you use `datasource_slug` as a query parameter, the response is no longer paginated.

Use the `dimension` parameter to return a `dimension_value` with the matching data.

> [!TIP]
> To retrieve the `dimension_value`, you must include either `datasource_id` or `datasource_slug` in the query parameters.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space.
    

## Query parameters

-   `datasource_id` (number)
    
    Numeric ID of the datasource.
    
-   `datasource_slug` (string)
    
    Slug of the datasource.
    
-   `dimension` (number)
    
    Numeric ID of a linked dimension. Returns the `dimension_value`.
    
-   `search` (string)
    
    Search the datasource entry name.
    

## Response properties

-   `datasource_entries` (The Datasource Entry Object\[\])
    
    An array of [datasource entry objects](/docs/api/management/datasource-entries/the-datasource-entry-object).
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/datasource_entries/\
    ?datasource_id=123\
    &dimension=456" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/datasource_entries/', {
        "datasource_id": "123",
        "dimension": "456"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/datasource_entries/', [
      "datasource_id" => "123",
      "dimension" => "456"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/datasource_entries/?datasource_id=123&dimension=456")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/datasource_entries/?datasource_id=123&dimension=456");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/datasource_entries/"
    
    querystring = {"datasource_id":"123","dimension":"456"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/datasource_entries/', {:params => {
      "datasource_id" => "123",
      "dimension" => "456"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/datasource_entries/")
    request.url!.append(queryItems: [
        URLQueryItem(name: "datasource_id", value: "123"),
        URLQueryItem(name: "dimension", value: "456")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/datasource_entries/") {
        url {
            parameters.append("datasource_id", "123")
            parameters.append("dimension", "456")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve a Single Datasource Entry](/docs/api/management/datasource-entries/retrieve-a-single-datasource-entry)
-   [Next: The Datasource Entry Object](/docs/api/management/datasource-entries/the-datasource-entry-object)
